Frama-C Bug Tracking System

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001771Frama-CDocumentationpublic2014-05-02 10:062016-06-21 14:13
Reporterjens 
Assigned Tocorrenson 
PrioritylowSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSXOSOS Version
Product VersionFrama-C Neon-20140301 
Target VersionFixed in VersionFrama-C Magnesium 
Summary0001771: quality of pdf files
DescriptionThis might sound very subjective but I always have the feeling that the various pdf files of the Frama-C documentation look a bit blurred.
I do not observe this with my own pdf files that I generate from latex.

It is neither related to Neon nor am I using a retina display.

I wonder whether you are using the "computer modern" family of type faces.
Steps To ReproduceCompare


http://www.fokus.fraunhofer.de/de/sqc/_download_sqc/ACSL-by-Example.pdf [^]

with

http://frama-c.com/download/acsl-implementation-Neon-20140301.pdf [^]
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0005095)
signoles (manager)
2014-05-15 09:59

@Loïc: you're probably the guy who has the more knowledge about frama-c-book.cls and related files...

Not sure if it is possible to improve it...
(0005096)
correnson (manager)
2014-05-15 13:00

Yes, I already noticed that.
Surprisingly, all the PDF generated from my Mac OS installation of LaTeX are much BETTER than the same LaTeX files generated from Linux. To the point I generally re-generate all Frama-C documentation on my side.
I do not understand why, but I should investigate that problem.
(0005124)
yakobowski (manager)
2014-05-22 10:50

There is another potential issue, which is Searching for text and copy-pasting is severely broken in some viewers such as Evince. This is what obtains when copy-pasting "downcast" and "Downcast" from RTE's manual:

❞♦✇♥❝❛st ❉♦✇♥❝❛st

This is perhaps due to some ligatures, but in any case the generation of the pdf "hidden" text is broken.
(0005125)
jens (reporter)
2014-05-22 11:23

If you wish, then you can send me the latex sources of one of your documents and I can try to figure out a solution.
(I have an account on Frama-C's gitlab (but of course not to the private stuff), so I could also use this and create a merge request.)
(0005864)
jens (reporter)
2015-04-06 09:35

A remark on the pdf files in the sodium release: In general the quality of the pdf files has greatly improved. Thanks!
The only exception I have noticed so far is the WP manual
   http://frama-c.com/download/wp-manual-Sodium-20150201.pdf [^]

Here the font stills looks blurry and going from one to the next page still takes at least one second (whereas with the other files this is an immediate operation).
(0005865)
yakobowski (manager)
2015-04-06 17:46

We tweaked our LaTeX configuration file, which probably explains the improvements you noticed. Unfortunately, WP has its own copy of frama-c-book.cls, and did not benefit of the upgrade.
(0005866)
correnson (manager)
2015-04-07 09:17

Argh!! It should be copied automatically from the shared one...
(0005867)
correnson (manager)
2015-04-07 09:49

Commit cd5dc10ac8acb3f0aa1

- Issue History
Date Modified Username Field Change
2014-05-02 10:06 jens New Issue
2014-05-02 10:06 jens Status new => assigned
2014-05-02 10:06 jens Assigned To => signoles
2014-05-15 09:57 signoles Assigned To signoles => correnson
2014-05-15 09:59 signoles Note Added: 0005095
2014-05-15 13:00 correnson Note Added: 0005096
2014-05-22 10:50 yakobowski Note Added: 0005124
2014-05-22 11:23 jens Note Added: 0005125
2015-04-06 09:35 jens Note Added: 0005864
2015-04-06 17:46 yakobowski Note Added: 0005865
2015-04-07 09:17 correnson Note Added: 0005866
2015-04-07 09:49 correnson Note Added: 0005867
2015-04-07 09:59 signoles Status assigned => resolved
2015-04-07 09:59 signoles Resolution open => fixed
2016-01-26 08:51 signoles Fixed in Version => Frama-C Magnesium
2016-01-26 08:52 signoles Status resolved => closed
2016-06-21 14:11 signoles Category Documentation => Documentation > ACSL
2016-06-21 14:13 signoles Category Documentation > ACSL => Documentation


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker